"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
exports.help = (overrides = {}) => ({
    help: command_1.flags.help(Object.assign({ char: 'h' }, overrides)),
});
exports.definition = (overrides = {}) => ({
    definition: command_1.flags.string(Object.assign({ char: 'd', description: 'openapi definition file', helpValue: './openapi.yml' }, overrides)),
});
exports.servers = () => ({
    server: command_1.flags.string({
        char: 'S',
        description: 'add servers to definition',
        helpValue: 'http://localhost:9000',
        multiple: true,
    }),
});
exports.parseOpts = () => (Object.assign({ dereference: command_1.flags.boolean({ char: 'D', description: 'resolve $ref pointers' }), validate: command_1.flags.boolean({ char: 'V', description: 'validate against openapi schema' }) }, exports.servers()));
exports.port = (overrides = {}) => ({
    port: command_1.flags.integer(Object.assign({ char: 'p', description: 'port', default: 9000, helpValue: '9000' }, overrides)),
});
exports.outputFormat = () => ({
    format: command_1.flags.enum({
        char: 'f',
        description: '[default: yaml] output format',
        options: ['json', 'yaml', 'yml'],
        exclusive: ['json', 'yaml'],
    }),
    json: command_1.flags.boolean({ description: 'format as json (short for -f json)', exclusive: ['format', 'yaml'] }),
    yaml: command_1.flags.boolean({ description: 'format as yaml (short for -f yaml)', exclusive: ['format', 'json'] }),
});
